package cn.cecep.talroad.domain.analysis;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


/**
 * 企业排放量超标分析对象 s_ra_emissions_over_factory
 *
 * @author szhpt
 * @date 2023-03-24
 */
@ApiModel(value = "企业排放量超标分析")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("s_ra_emissions_over_factory")
public class SRaEmissionsOverFactory extends BaseEntity {
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键")
    /** 主键 */
    @TableId(value = "id", type = IdType.AUTO)
    private String id;


    @ApiModelProperty(value = "企业id")
    /** 企业id */
    @Excel(name = "企业id")
    private String factoryId;


    @ApiModelProperty(value = "统计范围")
    /** 统计范围 */
    @Excel(name = "统计范围")
    private String statScope;


    @ApiModelProperty(value = "统计年份")
    /** 统计年份 */
    @Excel(name = "统计年份")
    private String statYear;


    @ApiModelProperty(value = "参数名称")
    /** 参数名称 */
    @Excel(name = "参数名称")
    private String pollutantName;


    @ApiModelProperty(value = "分析类型 1:排放量超过许可排放量, 2:排放量达到许可排放量90%, 3:排放量预测超过许可排放量")
    /** 分析类型 1:排放量超过许可排放量, 2:排放量达到许可排放量90%, 3:排放量预测超过许可排放量 */
    @Excel(name = "分析类型 1:排放量超过许可排放量, 2:排放量达到许可排放量90%, 3:排放量预测超过许可排放量")
    private String analyseType;


    @ApiModelProperty(value = "问题说明")
    /** 问题说明 */
    @Excel(name = "问题说明")
    private String problemDesc;


    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("factoryId", getFactoryId())
                .append("statScope", getStatScope())
                .append("statYear", getStatYear())
                .append("pollutantName", getPollutantName())
                .append("analyseType", getAnalyseType())
                .append("problemDesc", getProblemDesc())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
